ranges::v3::set_difference_fn Struct Reference
Algorithms

## Public Member Functions

template<typename I1 , typename S1 , typename I2 , typename S2 , typename O , typename C = ordered_less, typename P1 = ident, typename P2 = ident, requires = (Mergeable<I1, I2, O, C, P1, P2>() && Sentinel<S1, I1>() && Sentinel<S2, I2>())>
tagged_pair< tag::in1(I1), tag::out(O)> | operator() (I1 begin1, S1 end1, I2 begin2, S2 end2, O out, C pred=C{}, P1 proj1=P1{}, P2 proj2=P2{}) const
template<typename Rng1 , typename Rng2 , typename O , typename C = ordered_less, typename P1 = ident, typename P2 = ident, typename I1 = iterator_t<Rng1>, typename I2 = iterator_t<Rng2>, requires = (Mergeable<I1, I2, O, C, P1, P2>() && Range<Rng1>() && Range<Rng2>())>
tagged_pair< tag::in1(safe_iterator_t< Rng1 >), tag::out(O)> | operator() (Rng1 &&rng1, Rng2 &&rng2, O out, C pred=C{}, P1 proj1=P1{}, P2 proj2=P2{}) const